stages:
  - build
  - lighthouse-ci

build:
  stage: build
  image: cypress/browsers:latest
  script:
    - npm install
    - npm run build
  artifacts:
    expire_in: 1 hour
    paths:
      - build
      - node_modules/

lighthouse-ci:
  stage: lighthouse-ci
  image: cypress/browsers:latest
  script:
    - npm install -g @lhci/cli
    - lhci autorun